-- fusentest.fs_pay definition

CREATE TABLE `fs_pay` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `user_id` int(11) NOT NULL COMMENT '用户id',
    `order_number` varchar(255) NOT NULL COMMENT '订单编号',
    `trade_no` varchar(255) NOT NULL DEFAULT '' COMMENT '第三方支付编号',
    `pay_amount` int(11) NOT NULL COMMENT '支付金额 (分)',
    `pay_status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '支付状态 0 不成功 1 成功',
    `is_refund` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否退款 0 未退款 1退款',
    `payment_method` tinyint(1) NOT NULL COMMENT '支付方式  1 stripe  2 paypal',
    `pay_stage` tinyint(1) DEFAULT '0' COMMENT '支付阶段 1首付 2尾款',
    `order_source` tinyint(1) NOT NULL DEFAULT '1' COMMENT '订单来源 1pc',
    `pay_time` int(11) DEFAULT NULL COMMENT '支付时间',
    `created_at` int(11) NOT NULL COMMENT '创建时间',
    `updated_at` int(11) NOT NULL DEFAULT '0' COMMENT '更新时间',
    `card_no` char(10) NOT NULL DEFAULT '' COMMENT '卡后4位',
    `brand` char(20) NOT NULL DEFAULT '' COMMENT '银行品牌',
    PRIMARY KEY (`id`) USING BTREE,
    KEY `user_id` (`user_id`) USING BTREE,
    KEY `trade_no` (`trade_no`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=778 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='支付记录';