-- fusentest.fs_product_design definition

CREATE TABLE `fs_product_design` (
     `id` int(11) NOT NULL AUTO_INCREMENT,
     `sn` char(8) NOT NULL COMMENT '唯一标识',
     `user_id` int(11) NOT NULL COMMENT '用户ID',
     `product_id` int(11) NOT NULL COMMENT '产品ID',
     `template_id` int(11) NOT NULL COMMENT '模型ID',
     `material_id` int(11) NOT NULL COMMENT '材质ID',
     `size_id` int(11) NOT NULL COMMENT '尺寸ID',
     `optional_id` int(11) NOT NULL DEFAULT '0' COMMENT '选项ID',
     `cover` varchar(128) NOT NULL COMMENT '封面图',
     `info` text COMMENT '保留的设计信息',
     `utime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
     `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '状态',
     `is_del` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否删除 0未删除 1删除',
     `is_pay` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否已有支付 0 未 1 有',
     `logo_color` text COMMENT 'logo图片备选项',
     `page_guid` varchar(50) NOT NULL DEFAULT '' COMMENT '页面识别id',
     PRIMARY KEY (`id`) USING BTREE,
     KEY `sn` (`sn`) USING BTREE,
     KEY `user_id` (`user_id`) USING BTREE,
     KEY `product_id` (`product_id`) USING BTREE,
     KEY `template_id` (`template_id`) USING BTREE,
     KEY `material_id` (`material_id`) USING BTREE,
     KEY `size_id` (`size_id`) USING BTREE,
     KEY `optional_id` (`optional_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=727 DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='产品设计表';