package model

import (
	"context"
	"fmt"
	"github.com/zeromicro/go-zero/core/stores/sqlx"
)

var _ FsProductTemplateTagsModel = (*customFsProductTemplateTagsModel)(nil)

type (
	// FsProductTemplateTagsModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsProductTemplateTagsModel.
	FsProductTemplateTagsModel interface {
		fsProductTemplateTagsModel
		ListByIds(ctx context.Context, ids []string) (resp []FsProductTemplateTags, err error)
	}

	customFsProductTemplateTagsModel struct {
		*defaultFsProductTemplateTagsModel
	}
)

// NewFsProductTemplateTagsModel returns a model for the database table.
func NewFsProductTemplateTagsModel(conn sqlx.SqlConn) FsProductTemplateTagsModel {
	return &customFsProductTemplateTagsModel{
		defaultFsProductTemplateTagsModel: newFsProductTemplateTagsModel(conn),
	}
}
func (m *defaultFsProductTemplateTagsModel) ListByIds(ctx context.Context, ids []string) (resp []FsProductTemplateTags, err error) {
	if len(ids) == 0 {
		return nil, nil
	}
	query := fmt.Sprintf("select %s from %s where `id` in (?) ", fsProductTemplateTagsRows, m.table)
	err = m.conn.QueryRowsCtx(ctx, &resp, query, ids)
	if err != nil {
		return nil, err
	}
	return
}
