package model

import (
	"time"

	"gorm.io/gorm"
)

type FsProductDesign struct {
	Id         int64      `gorm:"primary_key" json:"id"` //
	Sn         *string    `gorm:"-" json:"sn"`           // 唯一标识
	UserId     *int64     `gorm:"-" json:"user_id"`      // 用户ID
	ProductId  *int64     `gorm:"-" json:"product_id"`   // 产品ID
	TemplateId *int64     `gorm:"-" json:"template_id"`  // 模型ID
	MaterialId *int64     `gorm:"-" json:"material_id"`  // 材质ID
	SizeId     *int64     `gorm:"-" json:"size_id"`      // 尺寸ID
	OptionalId *int64     `gorm:"-" json:"optional_id"`  // 选项ID
	Cover      *string    `gorm:"-" json:"cover"`        // 封面图
	Info       *string    `gorm:"-" json:"info"`         // 保留的设计信息
	Utime      *time.Time `gorm:"-" json:"utime"`        // 更新时间
	Status     *int64     `gorm:"-" json:"status"`       // 状态
	IsDel      *int64     `gorm:"-" json:"is_del"`       // 是否删除 0未删除 1删除
	IsPay      *int64     `gorm:"-" json:"is_pay"`       // 是否已有支付 0 未 1 有
	LogoColor  *string    `gorm:"-" json:"logo_color"`   // logo图片备选项
	PageGuid   *string    `gorm:"-" json:"page_guid"`    // 页面识别id
}
type FsProductDesignModel struct{ db *gorm.DB }

func NewFsProductDesignModel(db *gorm.DB) *FsProductDesignModel { return &FsProductDesignModel{db} }
