// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type GetMapLibraryListRsp struct {
	Mid   int64              `json:"mid"`
	Ctime string             `json:"ctime"`
	Tag   MapLibraryListTag  `json:"tag"`
	Info  MapLibraryListInfo `json:"info"`
}

type MapLibraryListInfo struct {
	Id            string                            `json:"id"`
	Tag           string                            `json:"tag"`
	Title         string                            `json:"title"`
	Type          string                            `json:"type"`
	Text          string                            `json:"text"`
	Fill          string                            `json:"fill"`
	FontSize      int64                             `json:"fontSize"`
	FontFamily    string                            `json:"fontFamily"`
	IfBr          bool                              `json:"ifBr"`
	IfShow        bool                              `json:"ifShow"`
	IfGroup       bool                              `json:"ifGroup"`
	MaxNum        int64                             `json:"maxNum"`
	Rotation      int64                             `json:"rotation"`
	Align         string                            `json:"align"`
	VerticalAlign string                            `json:"verticalAlign"`
	Material      string                            `json:"material"`
	QRcodeType    int64                             `json:"QRcodeType"`
	Width         float64                           `json:"width"`
	Height        float64                           `json:"height"`
	X             float64                           `json:"x"`
	Y             float64                           `json:"y"`
	Opacity       float64                           `json:"opacity"`
	OptionalColor []MapLibraryListOptionalColorItem `json:"optionalColor"`
	ZIndex        int64                             `json:"zIndex"`
	SvgPath       string                            `json:"svgPath"`
	Follow        MapLibraryListFollow              `json:"follow"`
	Group         []MapLibraryListGroup             `json:"group"`
	CameraStand   MapLibraryListCameraStand         `json:"cameraStand"`
	MaterialTime  string                            `json:"materialTime"`
	MaterialName  string                            `json:"materialName"`
}

type MapLibraryListCameraStand struct {
	X int64 `json:"x"`
	Y int64 `json:"y"`
	Z int64 `json:"z"`
}

type MapLibraryListGroup struct {
	Tag    string `json:"tag"`
	Text   string `json:"text"`
	Title  string `json:"title"`
	IfBr   bool   `json:"ifBr"`
	IfShow bool   `json:"ifShow"`
	MaxNum int64  `json:"maxNum"`
}

type MapLibraryListFollow struct {
	Fill    string `json:"fill"`
	IfShow  string `json:"ifShow"`
	Content string `json:"content"`
}

type MapLibraryListOptionalColorItem struct {
	Color   string `json:"color"`
	Name    string `json:"name"`
	Default bool   `json:"default"`
}

type MapLibraryListTag struct {
	Id    int64  `json:"id"`
	Title string `json:"title"`
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type ResponseJwt struct {
	Code         int         `json:"code"`
	Message      string      `json:"msg"`
	Data         interface{} `json:"data"`
	AccessSecret string      `json:"accessSecret"`
	AccessExpire int64       `json:"accessExpire"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
